//-----------------------------------------------------------------------------
#include "DeviceConfigureFrame.h"
#include "DeviceHandler.h"

//-----------------------------------------------------------------------------
int DeviceHandler::UpdateFirmware( void )
//-----------------------------------------------------------------------------
{
	if( pParent_ )
	{
		pParent_->WriteLogMessage( wxT( "This device doesn't implement firmware updates\n") );
	}
	return urFeatureUnsupported;
}

//-----------------------------------------------------------------------------
int DeviceHandler::UpdateKernelDriver( void )
//-----------------------------------------------------------------------------
{
	if( pParent_ )
	{
		pParent_->WriteLogMessage( wxT( "This device doesn't implement kernel driver updates\n") );
	}
	return urFeatureUnsupported;
}
