//-----------------------------------------------------------------------------
#ifndef DeviceHandlerBlueDeviceH
#define DeviceHandlerBlueDeviceH DeviceHandlerBlueDeviceH
//-----------------------------------------------------------------------------
#include "DeviceHandler.h"

//-----------------------------------------------------------------------------
class DeviceHandlerBlueDevice : public DeviceHandler
//-----------------------------------------------------------------------------
{
	enum TProductGroup
	{
		pgUnknown,
		pgBlueCOUGAR_P,
		pgBlueCOUGAR_S,
		pgBlueLYNX_M7
	};
	TProductGroup product_;
	wxString productStringForFirmwareUpdateCheck_;
	wxString firmwareUpdateFileName_;
	wxString firmwareUpdateFolder_;
	int UploadFile( const wxString& fullPath, const wxString& descriptionFile );
	int UpdateLYNXAndCOUGAR_PDevices( const wxString& updateName, const wxString& updateFileName, const wxString& fileExtension, const wxString& filenameValidationString );
	int UpdateCOUGAR_SDevices( void );
public:
	DeviceHandlerBlueDevice( mvIMPACT::acquire::Device* pDev );
	static DeviceHandler* Create( mvIMPACT::acquire::Device* pDev ) { return new DeviceHandlerBlueDevice(pDev); }
	virtual bool SupportsFirmwareUpdate( void ) const;
	virtual int UpdateFirmware( void );
};

#endif // DeviceHandlerBlueDeviceH
