//-----------------------------------------------------------------------------
#ifndef EventThreadH
#define EventThreadH EventThreadH
//-----------------------------------------------------------------------------
#include <mvIMPACT_CPP/mvIMPACT_acquire.h>
#include <wx/thread.h>

class wxEvtHandler;
class wxWindow;

//-----------------------------------------------------------------------------
class EventThread : public wxThread
//-----------------------------------------------------------------------------
{
	mvIMPACT::acquire::Device*			m_pDevice;
	mvIMPACT::acquire::EventSubSystem*	m_pEventSubSystem;
	bool								m_boSendEvent;
	wxEvtHandler*						m_pParentWindowEventHandler;
	int									m_parentWindowID;
protected:
	void* Entry( void );
public:
	explicit EventThread( mvIMPACT::acquire::Device* pDev, mvIMPACT::acquire::EventSubSystem* pESS,
		wxWindow* pParentWindow, bool boSendEvent );
};

#endif // EventThreadH
